## kcontacts 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts

project(KContacts VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.92.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_AUTORCC ON)

set(REQUIRED_QT_VERSION 5.15.2)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(KCONTACTS_LIB_VERSION ${KF_VERSION})

ecm_setup_version(PROJECT VARIABLE_PREFIX KContacts
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcontacts_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Gui OPTIONAL_COMPONENTS Quick)
find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Codecs)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

########### Targets ###########

add_definitions(-DTRANSLATION_DOMAIN=\"kcontacts5\")
ki18n_install(po)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.90.0
)

add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Contacts")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Contacts_QCH
        FILE KF5ContactsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ContactsQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5ContactsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ContactsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ContactsTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kcontacts_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KContacts COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== tests/CMakeLists.txt ===

include(ECMMarkAsTest)

########### next target ###############

# FIXME: Build fails
add_executable(testread testread.cpp)
target_link_libraries(testread KF5Contacts KF5::I18n Qt${QT_MAJOR_VERSION}::Gui)

########### next target ###############

# FIXME: Build fails
add_executable(testwrite testwrite.cpp)
target_link_libraries(testwrite KF5Contacts Qt${QT_MAJOR_VERSION}::Gui KF5::I18n)

########### next target ###############

add_executable(testread2 testread2.cpp testutils.cpp)
target_link_libraries(testread2 KF5Contacts Qt${QT_MAJOR_VERSION}::Gui)

if (TARGET Qt${QT_MAJOR_VERSION}::Quick)
    add_executable(qmlintegrationtest
        qmlintegrationtest.cpp
        qmlintegrationtest.qrc
    )
    target_link_libraries(qmlintegrationtest PRIVATE KF5::Contacts Qt${QT_MAJOR_VERSION}::Quick)
endif()

=== debian/changelog ===
kcontacts (5:5.92.0-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.92.0)
  * Add qtdeclarative5-dev to Build-Depends

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:25:56 +0000

kcontacts (5:5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:07:18 +0000

kcontacts (5:5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:45:42 +0000

kcontacts (5:5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:15:04 +0000

kcontacts (5:5.88.0-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:10:08 +0000

=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.92.0~),
               gettext,
               libkf5codecs-dev (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.92.0~),
               pkg-kde-tools (>> 0.15.15),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev,
               qttools5-dev (>= 5.12.0~),
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
Rules-Requires-Root: no

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-dev (>= 5.92.0~),
         libkf5config-dev (>= 5.92.0~),
         libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.92.0~),
         libkf5i18n-dev (>= 5.92.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf5contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

## kcontacts 5.98.0

=== debian/changelog ===
kcontacts (5:5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:30:51 +0100

kcontacts (5:5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:03:01 +0100

kcontacts (5:5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:28:59 +0100

kcontacts (5:5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:54:21 +0100

kcontacts (5:5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:18:05 +0100

kcontacts (5:5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:21:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
                gettext,
-               libkf5codecs-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
+               libkf5codecs-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,
                qtbase5-dev (>= 5.15.2~),
@@ -40,11 +40,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5codecs-dev (>= 5.92.0~),
-         libkf5config-dev (>= 5.92.0~),
+Depends: libkf5codecs-dev (>= 5.98.0~),
+         libkf5config-dev (>= 5.98.0~),
          libkf5contacts5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.92.0~),
-         libkf5i18n-dev (>= 5.92.0~),
+         libkf5coreaddons-dev (>= 5.98.0~),
+         libkf5i18n-dev (>= 5.98.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: development files for kcontacts

## kcontacts 5.101.0

=== debian/changelog ===
kcontacts (5:5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:26 +0100

kcontacts (5:5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.100.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:59 +0100

kcontacts (5:5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:40 +0200

kcontacts (5:5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:32 +0200

kcontacts (5:5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:01 +0200

kcontacts (5:5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:04 +0200

kcontacts (5:5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.93.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:45 +0200

=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.101.0~),
               gettext,
               iso-codes <!nocheck>,
               libkf5codecs-dev (>= 5.101.0~),
               libkf5config-dev (>= 5.101.0~),
               libkf5coreaddons-dev (>= 5.101.0~),
               libkf5i18n-dev (>= 5.101.0~),
               locales-all <!nocheck>,
               pkg-kde-tools (>> 0.15.15),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.12.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcontacts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcontacts.git
Rules-Requires-Root: no

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-dev (>= 5.101.0~),
         libkf5config-dev (>= 5.101.0~),
         libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.101.0~),
         libkf5i18n-dev (>= 5.101.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf5contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

## kcontacts 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 
 project(KContacts VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.92.0 NO_MODULE)
+find_package(ECM 5.103.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -45,7 +45,15 @@
 )
 
 ########### Find packages ###########
-find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Gui OPTIONAL_COMPONENTS Quick)
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE COMPONENTS Gui Quick)
+set_package_properties(Qt${QT_MAJOR_VERSION}Gui PROPERTIES
+    TYPE REQUIRED
+    PURPOSE "Basic library component"
+)
+set_package_properties(Qt${QT_MAJOR_VERSION}Quick PROPERTIES
+    TYPE OPTIONAL
+    PURPOSE "QtQuick plugin"
+)
 find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Codecs)
 if (QT_MAJOR_VERSION STREQUAL "6")
     find_package(Qt6Core5Compat)
@@ -58,7 +66,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 5.15.2
-    KF 5.90.0
+    KF 5.95.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kcontacts (5:5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:26 +0100

kcontacts (5:5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:04 +0100

=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               gettext,
               iso-codes <!nocheck>,
               libkf5codecs-dev (>= 5.103.0~),
               libkf5config-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5i18n-dev (>= 5.103.0~),
               locales-all <!nocheck>,
               pkg-kde-tools (>> 0.15.15),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.12.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcontacts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcontacts.git
Rules-Requires-Root: no

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-dev (>= 5.103.0~),
         libkf5config-dev (>= 5.103.0~),
         libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.103.0~),
         libkf5i18n-dev (>= 5.103.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf5contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes,
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath, as it causes build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -- dh_auto_test --no-parallel

## kcontacts 5.104.0

=== debian/changelog ===
kcontacts (5:5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:15:12 +0000

kcontacts (5:5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:42:07 +0000

kcontacts (5:5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:55:55 +0000

kcontacts (5:5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:19:14 +0000

kcontacts (5:5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update symbols.
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:13:47 +0000

kcontacts (5:5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:58:00 +0000

=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               gettext,
               libkf5codecs-dev (>= 5.104.0~),
               libkf5config-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               pkg-kde-tools (>> 0.15.15),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.12.0~),
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
Rules-Requires-Root: no

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-dev (>= 5.104.0~),
         libkf5config-dev (>= 5.104.0~),
         libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.104.0~),
         libkf5i18n-dev (>= 5.104.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf5contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

## kcontacts 5.105.0

=== debian/changelog ===
kcontacts (5:5.105.0-0xneon+22.04+jammy+release+build16) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 13:30:54 +0000

kcontacts (5:5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:19:51 +0000

kcontacts (5:5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:27:13 +0000

kcontacts (5:5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:50:04 +0000

kcontacts (5:5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 11:57:56 +0000

kcontacts (5:5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:13:58 +0000

kcontacts (5:5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:22:46 +0000

kcontacts (5:5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:54:03 +0000

kcontacts (5:5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:25:14 +0000

kcontacts (5:5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 12:04:31 +0000

kcontacts (5:5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:24:33 +0000

kcontacts (5:5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jan 2022 18:15:56 +0000

kcontacts (5:5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:23:06 +0000

kcontacts (5:5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:53:32 +0000

kcontacts (5:5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 08:49:06 +0000

kcontacts (5:5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:08:01 +0000

kcontacts (5:5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:18:33 +0000

kcontacts (5:5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:24:37 +0000

kcontacts (5:5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:15:04 +0000

kcontacts (5:5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:08:28 +0000

kcontacts (5:5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:10:33 +0000

kcontacts (5:5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:57:11 +0000

kcontacts (5:5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:10:06 +0000

kcontacts (5:5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:03:43 +0000

kcontacts (5:5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:30:01 +0000

kcontacts (5:5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:40:04 +0000

kcontacts (5:5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:24:07 +0000

kcontacts (5:5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:13:31 +0000

kcontacts (5:5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:22:34 +0000

kcontacts (5:5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:48:24 +0000

kcontacts (5:5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:39:38 +0000

kcontacts (5:5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:17:43 +0000

kcontacts (5:5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:18:51 +0000

kcontacts (5:5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:03:35 +0000

kcontacts (5:5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:21:38 +0000

kcontacts (5:5.65.0-0neon) bionic; urgency=medium

  [ Jonathan Riddell ]
  * moved to frameworks

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2019 17:37:23 +0000

kcontacts (4:19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Oct 2019 21:15:08 +0000

kcontacts (4:19.08.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Sep 2019 14:21:46 +0000

kcontacts (4:19.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 13:19:42 +0000

kcontacts (4:19.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jul 2019 11:35:00 +0000

kcontacts (4:19.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Jun 2019 09:59:55 +0000

kcontacts (4:19.04.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 May 2019 06:39:31 +0000

kcontacts (4:19.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Apr 2019 14:10:22 +0000

kcontacts (4:18.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2019 15:02:10 +0000

kcontacts (4:18.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Feb 2019 10:58:58 +0000

kcontacts (4:18.12.1-0neon) bionic; urgency=medium



=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               doxygen,
               extra-cmake-modules (>= 5.19.0~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5coreaddons-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kcontacts
Vcs-Git: https://invent.kde.org/neon/kde/kcontacts.git
Vcs-Browser: https://invent.kde.org/neon/kde/kcontacts
Maintainer: Neon CI <neon@kde.org>

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Depends: libkf5codecs-dev,
         libkf5config-dev,
         libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.19.0~),
         libkf5i18n-dev,
         ${misc:Depends}
Recommends: libkf5contacts-doc (= ${source:Version})
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

Package: libkf5contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: address book API for KDE frameworks
 KContacts is an API for address book data.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.

## kcontacts 5.106.0

=== debian/changelog ===
kcontacts (5:5.106.0-0xneon+22.04+jammy+release+build17) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 11:15:12 +0000

kcontacts (5:5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:16:17 +0000

## kcontacts 5.107.0

=== debian/changelog ===
kcontacts (5:5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.107.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:34 +0200

kcontacts (5:5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:54 +0100

=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.107.0~),
               gettext,
               iso-codes <!nocheck>,
               libkf5codecs-dev (>= 5.107.0~),
               libkf5config-dev (>= 5.107.0~),
               libkf5coreaddons-dev (>= 5.107.0~),
               libkf5i18n-dev (>= 5.107.0~),
               locales-all <!nocheck>,
               pkg-kde-tools (>> 0.15.15),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.12.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcontacts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcontacts.git
Rules-Requires-Root: no

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-dev (>= 5.107.0~),
         libkf5config-dev (>= 5.107.0~),
         libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.107.0~),
         libkf5i18n-dev (>= 5.107.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf5contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes,
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

## kcontacts 5.109.0

=== debian/changelog ===
kcontacts (5:5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:47:53 +0100

kcontacts (5:5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:18:24 +0100

kcontacts (5:5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:04:19 +0100

kcontacts (5:5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:44:06 +0100

=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               gettext,
               libkf5codecs-dev (>= 5.109.0~),
               libkf5config-dev (>= 5.109.0~),
               libkf5coreaddons-dev (>= 5.109.0~),
               libkf5i18n-dev (>= 5.109.0~),
               pkg-kde-tools (>> 0.15.15),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.12.0~),
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcontacts
Rules-Requires-Root: no

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-dev (>= 5.109.0~),
         libkf5config-dev (>= 5.109.0~),
         libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.109.0~),
         libkf5i18n-dev (>= 5.109.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf5contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

## kcontacts 5.110.0

=== debian/changelog ===
kcontacts (5:5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:05:11 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                gettext,
-               libkf5codecs-dev (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
+               libkf5codecs-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,
                qtbase5-dev (>= 5.15.2~),
@@ -40,11 +40,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5codecs-dev (>= 5.109.0~),
-         libkf5config-dev (>= 5.109.0~),
+Depends: libkf5codecs-dev (>= 5.110.0~),
+         libkf5config-dev (>= 5.110.0~),
          libkf5contacts5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.109.0~),
-         libkf5i18n-dev (>= 5.109.0~),
+         libkf5coreaddons-dev (>= 5.110.0~),
+         libkf5i18n-dev (>= 5.110.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: development files for kcontacts

## kcontacts 5.113.0

=== debian/changelog ===
kcontacts (5:5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:42:01 +0000

kcontacts (5:5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:46:50 +0000

kcontacts (5:5.111.0-0ubuntu2) noble; urgency=medium

  * Disable tests at build time.

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Nov 2023 08:03:05 +0000

kcontacts (5:5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:56:29 +0000

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
                gettext,
-               libkf5codecs-dev (>= 5.110.0~),
-               libkf5config-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
+               libkf5codecs-dev (>= 5.113.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,
                qtbase5-dev (>= 5.15.2~),
@@ -40,11 +40,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5codecs-dev (>= 5.110.0~),
-         libkf5config-dev (>= 5.110.0~),
+Depends: libkf5codecs-dev (>= 5.113.0~),
+         libkf5config-dev (>= 5.113.0~),
          libkf5contacts5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.110.0~),
-         libkf5i18n-dev (>= 5.110.0~),
+         libkf5coreaddons-dev (>= 5.113.0~),
+         libkf5i18n-dev (>= 5.113.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: development files for kcontacts

## kcontacts 5.115.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
-set(KF_DEP_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.115.0") # handled by release scripts
+set(KF_DEP_VERSION "5.115.0") # handled by release scripts
 
 project(KContacts VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.103.0 NO_MODULE)
+find_package(ECM 5.115.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kcontacts (5:5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:12:14 +0200

kcontacts (5:5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Disable tests (Closes: #1052841).
  * Enable LTO (Closes: #1015440).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:00:17 +0100

kcontacts (5:5.107.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Disable tests.

 -- Patrick Franz <deltaone@debian.org>  Mon, 25 Mar 2024 20:31:37 +0100

=== debian/control ===
Source: kcontacts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               gettext,
               iso-codes <!nocheck>,
               libkf5codecs-dev (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libkf5coreaddons-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               locales-all <!nocheck>,
               pkg-kde-tools (>> 0.15.15),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.12.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcontacts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcontacts.git
Rules-Requires-Root: no

Package: libkf5contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf5contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-dev (>= 5.115.0~),
         libkf5config-dev (>= 5.115.0~),
         libkf5contacts5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.115.0~),
         libkf5i18n-dev (>= 5.115.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf5contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf5contacts5
Architecture: any
Multi-Arch: same
Depends: libkf5contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes,
Description: address book API for KDE frameworks
 KContacts is an API for address book data.
